Name:          python3-dnspython
Version:       1.11.1
Release:       %mkrel 10
Source0:       http://www.dnspython.org/kits3/%{version}/dnspython3-%{version}.tar.gz
Source1:       http://www.dnspython.org/kits3/%{version}/dnspython3-%{version}.tar.gz.asc
License:       MIT
URL:           http://www.dnspython.org/
Summary:       DNS toolkit for Python 3
Group:         Development/Python
BuildArch:     noarch
Provides:      dnspython3 = %{version}-%{release}
BuildRequires: pkgconfig(python3)
BuildRequires: python3-pycrypto
Requires:      python3-pycrypto
Obsoletes:     python3-dnspython3 <= 1.11.1-8

%description
dnspython3 is a DNS toolkit for Python 3. It supports almost all
record types. It can be used for queries, zone transfers, and dynamic
updates. It supports TSIG authenticated messages and EDNS0.

dnspython3 provides both high and low level access to DNS. The high
level classes perform queries for data of a given name, type, and
class, and return an answer set. The low level classes allow direct
manipulation of DNS zones, messages, names, and records.

%prep
%setup -q -n dnspython3-%version

# strip executable permissions so that we don't pick up dependencies
# from documentation
find examples -type f | xargs chmod a-x


%build
%py3_build

%install
%py3_install

%check
pushd tests
# skip one test because it queries the network
for py in *.py
do
  if [ $py != resolver.py ]
  then
    PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} $py
  fi
done
popd

%files
%doc ChangeLog LICENSE README examples
%{python3_sitelib}/*egg-info
%{python3_sitelib}/dns



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.11.1-10.mga6
+ Revision: 970561
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 ovitters <ovitters> 1.11.1-9.mga6
+ Revision: 887155
- obsolete python3-dnspython3

* Wed Oct 07 2015 tv <tv> 1.11.1-8.mga6
+ Revision: 886915
- imported package python3-dnspython


* Wed Oct 07 2015 Thierry Vignaud <tv@mageia.org> 1.11.1-8.mga6
- split from python2 package

